#ifndef AUDIOSINK_H
#define AUDIOSINK_H

#include <windows.h>
#include <Audioclient.h>
#include <iostream>
#include <fstream>

class AudioSink
{
	private:

		UINT32 frame_limit; 
		UINT32 frame_size;
		UINT32 buffer_size;
		UINT32 frame_count;
		BYTE* store;

		__int16 CharToInt(unsigned char, unsigned char);

	public:

		AudioSink(int, UINT32, UINT32);
		~AudioSink();
		void CopyData(BYTE*,UINT32,BOOL*,DWORD);
		void PrintData();
		void WriteFile();
		void WriteFileInt(int);
};

#endif