#ifndef CAPTURE_H
#define CAPTURE_H

#include "errors.h"
#include <windows.h>
#include <objbase.h>
#include <MMDeviceAPI.h>
#include <Audioclient.h>
#include <AudioPolicy.h>
#include <Functiondiscoverykeys_devpkey.h>
#include <iostream>
#include "audiosink.h"

#define REFTIMES_PER_SEC  50000
#define REFTIMES_PER_MILLISEC  50

#define SAFE_RELEASE(punk)  \
              if ((punk) != NULL)  \
                { (punk)->Release(); (punk) = NULL; }

void PerformAudioCapture(float, int);

void ClearAll(AudioSink*, LPWSTR, WAVEFORMATEX*, PROPVARIANT, IPropertyStore*, IMMDevice*, IMMDeviceEnumerator*, IAudioClient*, IAudioCaptureClient*, IChannelAudioVolume*);

#endif