#ifndef FAZIS_H
#define FAZIS_H

#include <iostream>
#include <cstdlib>
#include <vector>
#include <fstream>
#include <cmath>
#include <algorithm>
#include <string>
#include "fft.h"

long double freq(const std::vector<long double> &, int, unsigned long);

long double trapezoid_integrate(std::vector<long double> &,  std::vector<long double> &);

void fazis(std::vector<long double> &, std::vector<long double> &, std::vector<long double> &, long double, int);

int ProcessData();

#endif