#include "errors.h"
#include "audiosink.h"
#include "capture.h"
#include "fazis.h"

int main()
{

	char repeat='1';

        while(repeat=='1')
        {
			std::cout<<std::endl<<"Press Ctrl+C to exit";
			std::cout<<std::endl<<"Volume (0.0 to 1.0): ";
			float setvol;
			std:: cin >> setvol;
			std::cout<<"Record time: ";
			int time;
			std:: cin >> time;
			std::cout<<std::endl;
                try
                {
                        PerformAudioCapture(setvol, time);
						ProcessData();
                }

                catch(WinAPIerrors)
                {
                        while(repeat!='\n'&&repeat!='0')
                        {
                                std::cout<<"Try other audio settings: enter, Exit: 0."<<std::endl;
                                std::cin>>repeat;
                        }

                        if(repeat=='0')
                        {
                                return 0;
                        }

                        else
                        {
                                repeat='1';
                        }
                }

                catch(MemoryShortage)
                {
                        while(repeat!='\n'&&repeat!='0')
                        {
                                std::cout<<"Try a shorter capture time length: enter, Exit: 0."<<std::endl;
                                std::cin>>repeat;
                        }

                        if(repeat=='0')
                        {
                                return 0;
                        }

                        else
                        {
                                repeat='1';
                        }
                }
        }

        return 0;
}